Bug 35250 - EDITING: Search/Replace with [:cntrl:] as sub-expression fails
Summary: EDITING: Search/Replace with [:cntrl:] as sub-expression fails
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2011-03-12 06:08 UTC by Andreas Wagner
Modified: 2019-11-08 03:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Wagner 2011-03-12 06:08:55 UTC
I have a document where footnotes come before periods, commas and the like, and I want to swap them. Thus I open a search/replace dialogue where I search for ([:cntrl:])([.,;:]), and this correctly retrieves all those occurences.
But whatever I enter in the replace field ($2$1, \2\1, $1$0, &2&1, even & ...) it gets inserted as plaintext (i.e. "$2$1" etc.), not as the pattern to which it should refer.

(The replace expression $2$1 does what it is supposed to do when I'm searching for something without a control character, like (.)([,.;:]): Then it is correctly swapping the arbitrary character and the punctuation. But this does not work when searching for ([:cntrl:])([,.;:]) - in that case, while correctly retrieving and selecting the relevant occurences, it replaces them with literal $2$1. With just & as a replace expression the same happens, both the footnote and the punctuation are replaced with a literal "&".)

BTW, this has been present in OOo, too: http://openoffice.org/bugzilla/show_bug.cgi?id=101068 (and possibly http://openoffice.org/bugzilla/show_bug.cgi?id=15666).
Comment 1 Björn Michaelsen 2011-12-23 11:45:54 UTC Comment hidden (obsolete)
Comment 2 Florian Reisinger 2012-08-14 13:59:14 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:00:27 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:05:08 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:07:11 UTC Comment hidden (obsolete)
Comment 6 Andreas Wagner 2013-12-17 10:00:21 UTC
Finally got round to see if the issue is solved in the meantime. But it isn't (v 4.1.3.2).
Here is a new attempt, and a new description based on the hints in the current bugtracker template:

If you do Search and Replace and want to re-use one of the matches in the replace expressions, this fails if the match was a [:cntrl:] Control code.

Steps to reproduce:
1. Enter a text with footnotes: bla¹. bleh². foo.³
2. Open the Search and Replace dialog
3. Under further options, select "Use regular expressions"
4. In the "Search for" field, enter "([:cntrl:])(\.)" (without the quotes)
5. In the "Replace with" field enter "$2$1" (without the quotes)
6. Klick on "Replace all"


Expected behavior:
All footnote signs preceding periods are matched (no. 1 and 2); these are replaced with first and second match inversed, i.e. period and footnote sign: bla.¹ bleh.² foo.³


Current behavior:
The matching works fine, but the $1 seems to be empty. The resulting text is: bla. bleh. foo.¹
Comment 7 Joel Madero 2014-11-04 03:05:55 UTC
Never confirmed by QA team, REOPENED is incorrect status, marking as UNCONFIRMED.
Comment 8 Buovjaga 2014-11-15 18:07:53 UTC
(In reply to Andreas Wagner from comment #6)
> Steps to reproduce:
> 1. Enter a text with footnotes: bla¹. bleh². foo.³
> 2. Open the Search and Replace dialog
> 3. Under further options, select "Use regular expressions"
> 4. In the "Search for" field, enter "([:cntrl:])(\.)" (without the quotes)
> 5. In the "Replace with" field enter "$2$1" (without the quotes)
> 6. Klick on "Replace all"
> 
> 
> Expected behavior:
> All footnote signs preceding periods are matched (no. 1 and 2); these are
> replaced with first and second match inversed, i.e. period and footnote
> sign: bla.¹ bleh.² foo.³
> 
> 
> Current behavior:
> The matching works fine, but the $1 seems to be empty. The resulting text
> is: bla. bleh. foo.¹

Reproduced.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 9 QA Administrators 2015-12-20 16:15:44 UTC Comment hidden (obsolete)
Comment 10 Andreas Wagner 2015-12-27 00:01:38 UTC
I have just re-confirmed the bug with identical behaviour in version/build 5.0.4.2 Arch Linux build-2. And it is inherited from OOo, I have reported it for OOo 3.0.1 back in 2009.
Comment 11 QA Administrators 2017-01-03 19:55:03 UTC Comment hidden (obsolete)
Comment 12 Andreas Wagner 2017-01-04 20:05:39 UTC
I have again re-confirmed the bug with identical behaviour in Version: 5.2.4.2.0+, Build-ID: 5.2.4-1.
CPU-Threads: 2; BS-Version: ArchLinux 4.8. And it is inherited from OOo, I have reported it for OOo 3.0.1 back in 2009.
Comment 13 QA Administrators 2018-11-07 04:01:36 UTC Comment hidden (obsolete)
Comment 14 Andreas Wagner 2018-11-07 09:02:41 UTC
I have again re-confirmed the bug with identical behaviour in Version: 6.0.6.2, Build-ID: 6.0.6-5.
CPU-Threads: 8; BS: [Arch]Linux 4.18; UI-Render: Standard; VCL: gtk3;
Gebietsschema: de-DE (de_DR.UTF-8); Calc:group

And it is inherited from OOo, I have reported it for OOo 3.0.1 back in 2009. 

(Just out of curiosity: Is there maybe some kind of prize for the oldest unfixed bug?)
Comment 15 QA Administrators 2019-11-08 03:38:45 UTC
Dear Andreas Wagner,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug